# packaging notes: please don't remove explict gcc's BuildRequires, needed for ease of sync with FC package

%global api	1.0
%global major	0
%define libname	%mklibname graphene %{api} %{major}
%define devname	%mklibname graphene %{api} -d
%define girname	%mklibname graphene-gir %{api}

%define url_ver	%{lua: ver = rpm.expand("%{version}"); majmin, count1 = string.gsub(ver, "^([0123456789]+%.[0123456789]+).*", "%1", 1); if count1 == 0 then print(ver); return; end; maj, count2 = string.gsub(majmin, "^([0123456789]+).*", "%1", 1); if count2 == 0 then print(majmin) elseif tonumber(majmin) < 40 then print(majmin) else print(maj) end}

Name:		graphene
Version:	1.10.6
Release:	%mkrel 1
Summary:    Thin layer of types for graphic libraries
License:	MIT
Group:      System/Libraries
URL:		https://github.com/ebassi/graphene
Source:     %{url}/releases/download/%{version}/%{name}-%{version}.tar.xz

BuildRequires:	gcc
BuildRequires:	pkgconfig(gobject-introspection-1.0)
BuildRequires:	gtk-doc
BuildRequires:	pkgconfig
BuildRequires:  meson >= 0.50.1
BuildRequires:  pkgconfig(gobject-2.0) >= 2.30.0

%description
Graphene provides a small set of mathematical types needed to implement graphic
libraries that deal with 2D and 3D transformations and projections.

%package -n %{libname}
Summary:	A thin layer of types for graphic libraries
Group:		System/Libraries

%description -n %{libname}
Graphene provides a small set of mathematical types needed to implement graphic
libraries that deal with 2D and 3D transformations and projections.

%package -n %{devname}
Summary:	Header files for Graphene library
Group:		Development/Libraries
Requires:	%{libname} = %{version}-%{release}
Provides:	%{name}-devel = %{version}-%{release}

%description -n %{devname}
The %{devname} package contains libraries and header files for
developing applications that use %{name}.

%package        tests
Summary:        Tests for the %{name} package
Group:          System/Libraries

%description    tests
The %{name}-tests package contains tests that can be used to verify
the functionality of the installed %{name} package.

%prep
%setup -q
%apply_patches

%build
# meson errors out without a utf8 LANG set
# https://github.com/mesonbuild/meson/issues/1085
export LANG=C.UTF-8

%meson -Dgtk_doc=false \
%ifarch %{ix86}
  -Dsse2=false \
%endif
%ifarch %{arm}
  -Darm_neon=false \
%endif

%meson_build
rm -rf %buildroot
%install

%meson_install

%files -n %{libname}
%{_libdir}/libgraphene-1.0.so.%{major}*
%{_libdir}/girepository-1.0/Graphene-1.0.typelib

%files -n %{devname}
%{_includedir}/graphene-1.0/
%dir %{_libdir}/graphene-1.0
%{_libdir}/graphene-1.0/include/
%{_libdir}/libgraphene-1.0.so
%{_libdir}/pkgconfig/graphene-1.0.pc
%{_libdir}/pkgconfig/graphene-gobject-1.0.pc
%{_datadir}/gir-1.0/Graphene-1.0.gir

%files tests
%{_libexecdir}/installed-tests/
%{_datadir}/installed-tests/


%changelog
* Thu Apr 08 2021 tex - 1.10.6-1pclos2021
- create pkg for pclos
